<?php

namespace App\Http\Controllers\Deed;

use App\Http\Controllers\Controller;
use App\Http\Controllers\Core\Auth;
use App\Services\Deed\CommentService;
use Illuminate\Http\Request;

class CommentController extends Controller
{
    public function comment(int $deed_id, Request $request)
    {
        $this->validate($request, [
            'speed' => 'required',
            'level' => 'required'
        ]);
        $uid = Auth::auth();
        $cs = new CommentService();
        $cs->comment($deed_id, $request->toArray());
        return array(
            'code' => 200,
            'message' => 'success'
        );
    }
}
